﻿Imports C1.Win.C1Tile

Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        C1TileControl1.CommonImage1.Image = My.Resources.Flags
        C1TileControl1.CommonImage1.ImageRows = 17

        Dim ImageElement1 As C1.Win.C1Tile.ImageElement = New C1.Win.C1Tile.ImageElement()
        ImageElement1.ImageSelector = C1.Win.C1Tile.ImageSelector.CommonImage1
        ImageElement1.Margin = New System.Windows.Forms.Padding(0, 0, 0, 20)
        C1TileControl1.DefaultTemplate.Elements.Add(ImageElement1)

        Dim prop As New PropertyMapping()
        prop.DataField = "ID"
        prop.TileProperty = TileProperty.IntValue
        C1TileControl1.PropertyMappings.Add(prop)

        prop = New PropertyMapping()
        prop.DataField = "Name"
        prop.TileProperty = TileProperty.Text
        C1TileControl1.PropertyMappings.Add(prop)

        prop = New PropertyMapping()
        prop.DataField = "Group"
        prop.TileProperty = TileProperty.Group
        C1TileControl1.PropertyMappings.Add(prop)

        Dim dt As New DataTable()
        dt.Columns.Add("ID")
        dt.Columns.Add("Name")
        dt.Columns.Add("Group")
        dt.Rows.Add(1, "Value 1", "Group A")
        dt.Rows.Add(2, "Value 2", "Group A")
        dt.Rows.Add(3, "Value 3", "Group A")
        dt.Rows.Add(4, "Value 4", "Group A")
        dt.Rows.Add(5, "Value 5", "Group A")
        dt.Rows.Add(6, "Value 6", "Group B")
        dt.Rows.Add(7, "Value 7", "Group B")
        dt.Rows.Add(8, "Value 8", "Group B")
        dt.Rows.Add(9, "Value 9", "Group B")
        dt.Rows.Add(10, "Value 10", "Group B")
        dt.Rows.Add(11, "Value 11", "Group C")
        dt.Rows.Add(12, "Value 12", "Group C")
        dt.Rows.Add(13, "Value 13", "Group C")
        dt.Rows.Add(14, "Value 14", "Group C")
        dt.Rows.Add(15, "Value 15", "Group C")
        dt.Rows.Add(16, "Value 16", "Group C")
        C1TileControl1.DataSource = dt

        'Populate ComboBox with Colors
        For Each col As System.Reflection.PropertyInfo In GetType(Color).GetProperties()
            If col.PropertyType.FullName = "System.Drawing.Color" Then
                CB_TileColor.Items.Add(col.Name)
            End If
        Next
        C1TileControl1.TileBackColor = Color.SeaGreen
    End Sub

    Private Sub C1TileControl1_CompareGroups(sender As Object, e As CompareGroupsEventArgs) Handles C1TileControl1.CompareGroups
        'To sort groups in reversed order
        e.Result = -String.Compare(e.Group1.Text, e.Group2.Text)
    End Sub

    Private Sub C1TileControl1_CompareTiles(sender As Object, e As CompareTilesEventArgs) Handles C1TileControl1.CompareTiles
        'To sort tiles in reversed order
        e.Result = -(e.Tile1.IntValue - e.Tile2.IntValue)
    End Sub

    Private Sub CB_TileColor_SelectedIndexChanged(sender As Object, e As EventArgs) Handles CB_TileColor.SelectedIndexChanged
        C1TileControl1.TileBackColor = Color.FromName(CB_TileColor.SelectedItem.ToString())
        C1TileControl1.Focus()
    End Sub
End Class
